from siege import game


class Silence(object):
    NAME = "Silence"
    ICON = "mods/core/effect/silence.png"

    def __init__(self, owner, level, duration):
        #TODO: Disable use of spells
        pass

    def onRemove(self, owner):
        #TODO: Enable use of spells
        pass

    def isPositive(self):
        return False

    @staticmethod
    def register():
        game.effects.register(Silence.NAME, Silence)
